org.keycloak.models.sessions.infinispan

## Class InfinispanUserSessionProviderFactory

- java.lang.Object
- - org.keycloak.models.sessions.infinispan.InfinispanUserSessionProviderFactory

- All Implemented Interfaces:
    UserSessionProviderFactory, ProviderFactory<UserSessionProvider>

      public class InfinispanUserSessionProviderFactory
      extends Object
      implements UserSessionProviderFactory

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CLIENT_REMOVED_SESSION_EVENT`
    `static String` | `PROVIDER_ID`
    `static String` | `REALM_REMOVED_SESSION_EVENT`
    `static String` | `REMOVE_ALL_LOGIN_FAILURES_EVENT`
    `static String` | `REMOVE_USER_SESSIONS_EVENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InfinispanUserSessionProviderFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `checkRemoteCaches(KeycloakSession session)`
    `void` | `close()` This is called when the server shuts down.
    `InfinispanUserSessionProvider` | `create(KeycloakSession session)`
    `String` | `getId()`
    `void` | `init(Config.Scope config)` Only called once when the factory is first created.
    `void` | `loadPersistentSessions(KeycloakSessionFactory sessionFactory, int maxErrors, int sessionsPerSegment)`
    `void` | `postInit(KeycloakSessionFactory factory)` Called after all provider factories have been initialized
    `protected void` | `registerClusterListeners(KeycloakSession session)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Field Detail

    - #### PROVIDER_ID

          public static final String PROVIDER_ID

      See Also:
        Constant Field Values

    - #### REALM_REMOVED_SESSION_EVENT

          public static final String REALM_REMOVED_SESSION_EVENT

      See Also:
        Constant Field Values

    - #### CLIENT_REMOVED_SESSION_EVENT

          public static final String CLIENT_REMOVED_SESSION_EVENT

      See Also:
        Constant Field Values

    - #### REMOVE_USER_SESSIONS_EVENT

          public static final String REMOVE_USER_SESSIONS_EVENT

      See Also:
        Constant Field Values

    - #### REMOVE_ALL_LOGIN_FAILURES_EVENT

          public static final String REMOVE_ALL_LOGIN_FAILURES_EVENT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### InfinispanUserSessionProviderFactory

          public InfinispanUserSessionProviderFactory()

  - ### Method Detail

    - #### create

          public InfinispanUserSessionProvider create(KeycloakSession session)

      Specified by:
        `create` in interface `ProviderFactory<UserSessionProvider>`

    - #### init

          public void init(Config.Scope config)

      Description copied from interface: `ProviderFactory`
      Only called once when the factory is first created. This config is pulled from keycloak_server.json
      Specified by:
        `init` in interface `ProviderFactory<UserSessionProvider>`

    - #### postInit

          public void postInit(KeycloakSessionFactory factory)

      Description copied from interface: `ProviderFactory`
      Called after all provider factories have been initialized
      Specified by:
        `postInit` in interface `ProviderFactory<UserSessionProvider>`

    - #### loadPersistentSessions

          public void loadPersistentSessions(KeycloakSessionFactory sessionFactory,
                                             int maxErrors,
                                             int sessionsPerSegment)

      Specified by:
        `loadPersistentSessions` in interface `UserSessionProviderFactory`

    - #### registerClusterListeners

          protected void registerClusterListeners(KeycloakSession session)

    - #### checkRemoteCaches

          protected void checkRemoteCaches(KeycloakSession session)

    - #### close

          public void close()

      Description copied from interface: `ProviderFactory`
      This is called when the server shuts down.
      Specified by:
        `close` in interface `ProviderFactory<UserSessionProvider>`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<UserSessionProvider>`

Copyright © 2021 JBoss by Red Hat. All rights reserved.